@import "src/components/Theme";

.timelineHeader {
  @include body16MediumType($mainDark);
  margin-bottom: 20px;
}

.timeline {
  margin-bottom: 64px;
  position: relative;


  .line {
    top: 4px;
    left: 0px;
    height: 1px;
    width: 100%;
    background: $lightGray;
    position: absolute;
    z-index: 0;
  }
}

.points {
  position: absolute;
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.timelinePoint {
  width: 9px;
  height: 9px;
  border-radius: 50%;
  box-sizing: border-box;
  background: $mainWhite;
  border: 2px solid $lightGray;
  cursor: pointer;
  display: flex;
  flex-direction: column;

  transition: border-top-color 100ms, border-right-color 200ms, border-bottom-color 300ms, border-left-width 400ms;

  .tick {
    margin-top: 13px;
    margin-bottom: 4px;
    margin-left: 2px;
    min-height: 8px;
    width: 1px;
    background: $lightGray;

    transition: background-color 300ms;
  }

  label {
    @include captionType($mediumGray);
    white-space: nowrap;
  }

  label:first-of-type {
    color: $mainDark;
  }

  &:last-of-type {
    align-items: flex-end;

    .tick {
      margin-left: 0;
      margin-right: 2px;
    }
  }

  &:hover {
    border-color: $mediumGray;
    .tick {
      background: $mediumGray;
    }
  }

  &.pendingApproval {
    border-color: $mainYellow;

    .tick {
      background: $mainYellow;
    }
  }

  &.pendingResolution {
    border-color: $red;

    .tick {
      background: $red;
    }
  }

  &.completed {
    border-color: $mainGreen;

    .tick {
      background: $mainGreen;
    }
  }
}